I got a response to my ticket with Tech Support concerning the "You do not have the current version of the client installed" error message when connecting to Bullroarer with the previous Mac RoR Bullroarer client.

Thank you for contacting Turbine Technical Support. Please note that the Bullroarer preview currently active has not been setup for the Mac version of the game install and the error may be occurring if you are launching and running the (closed) beta Mac client (that connected to Bullroarer at the time of Riders of Rohan release).
Sigh... one of those classic support statements -- True, but providing zero information.... such as why was Update 9 Beta 1 and 2 setup for the old Mac Bullroarer client, but then Beta 3 was changed.

Oh well. I'm waiting to see why the Steam download requires 70GB of disk space instead of only 40.